## camel camel |

## Functions

gint | camel_init ()
void | camel_shutdown ()

## Types and Values

enum | CamelFetchHeadersType
enum | CamelSortType

## Description

## Functions

### camel_init ()

    gint
    camel_init (const gchar *certdb_dir,
                gboolean nss_init);

### camel_shutdown ()

    void
    camel_shutdown (void);

Since: 2.24

## Types and Values

### enum CamelFetchHeadersType

Describes what headers to fetch when downloading message summaries.

#### Members

CAMEL_FETCH_HEADERS_BASIC | Fetch only basic headers (Date, From, To, Subject, etc.). |
CAMEL_FETCH_HEADERS_BASIC_AND_MAILING_LIST | Fetch all basic headers and mailing list headers. |
CAMEL_FETCH_HEADERS_ALL | Fetch all available message headers. |

Since: 3.2

### enum CamelSortType

Determines the direction of a sort.

#### Members

CAMEL_SORT_ASCENDING | Sorting is in ascending order. |
CAMEL_SORT_DESCENDING | Sorting is in descending order. |

Since: 3.2